//
//  MainMenu.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 16/05/2024.
//

import SwiftUI

struct MainMenu: View {
    @State private var action: Int? = 0
    var body: some View {
        NavigationView {
            VStack {
                Spacer()
                NavigationLink("parties enregistrées"){
                    // ici mettre la vue sur les parties enregistrées à la place du texte n'hésite pas à tester sur la preview la navigation ça marche, faire pareil pour les autres
                    Text("Go to parties enregistrées")
                }
                    .frame(maxWidth: .infinity)
                    .padding(EdgeInsets(top: 10, leading: 32, bottom: 10, trailing: 32))
                    .buttonStyle(.bordered)
                    .controlSize(.large)
                    .foregroundColor(.white)
                    .background(.black)
                    .buttonBorderShape(.roundedRectangle)
                    .clipShape(Capsule())
                Spacer().frame(height: 50)
                NavigationLink("paramètres"){
                    Text("Go to paramètres")
                }
                    .frame(maxWidth: .infinity)
                    .padding(EdgeInsets(top: 10, leading: 32, bottom: 10, trailing: 32))
                    .buttonStyle(.bordered)
                    .controlSize(.large)
                    .foregroundColor(.white)
                    .background(.black)
                    .clipShape(Capsule())
                Spacer().frame(height: 50)
                NavigationLink("jouer"){
                    Text("Go to jouer")
                }
                    .frame(maxWidth: .infinity)
                    .padding(EdgeInsets(top: 10, leading: 32, bottom: 10, trailing: 32))
                    .buttonStyle(.bordered)
                    .controlSize(.large)
                    .foregroundColor(.white)
                    .background(.black)
                    .clipShape(Capsule())
                Spacer()
            }
            .fixedSize(horizontal: false, vertical: true)
            .padding(EdgeInsets(top: 10, leading: 32, bottom: 10, trailing: 32))
        }
    }
}

struct MainMenu_Previews: PreviewProvider {
    static var previews: some View {
        MainMenu()
    }
}
